org.eclipse.jetty.ajp

## Class Ajp13Request

- java.lang.Object
- - org.eclipse.jetty.server.Request
  - - org.eclipse.jetty.ajp.Ajp13Request

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class Ajp13Request
      extends Request

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.server.Request

      `Request.MultiPartCleanerListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_remoteAddr`
    `protected String` | `_remoteHost`
    `protected String` | `_remoteUser`
    `protected boolean` | `_sslSecure`

    - ### Fields inherited from class org.eclipse.jetty.server.Request

      `__MULTIPART_CONFIG_ELEMENT, __MULTIPART_CONTEXT, __MULTIPART_INPUT_STREAM, _async, _connection`

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ajp13Request()`
    `Ajp13Request(AbstractHttpConnection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRemoteAddr()`
    `String` | `getRemoteHost()`
    `String` | `getRemoteUser()`
    `boolean` | `isSslSecure()`
    `protected void` | `recycle()`
    `void` | `setRemoteAddr(String remoteAddr)`
    `void` | `setRemoteHost(String remoteHost)`
    `void` | `setRemoteUser(String remoteUser)`
    `void` | `setSslSecure(boolean sslSecure)`

    - ### Methods inherited from class org.eclipse.jetty.server.Request

      `addEventListener, authenticate, extractParameters, getAsyncContext, getAsyncContinuation, getAttribute, getAttributeNames, getAttributes, getAuthentication, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentRead, getContentType, getContext, getContextPath, getCookies, getDateHeader, getDispatcherType, getDispatchTime, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPart, getParts, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemotePort, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getResolvedUserIdentity, getResponse, getRootURL, getScheme, getServerName, getServerPort, getServletContext, getServletName, getServletPath, getServletResponse, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserIdentity, getUserIdentityScope, getUserPrincipal, isAsyncStarted, isAsyncSupported, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, login, logout, mergeQueryString, recoverNewSession, removeAttribute, removeEventListener, saveNewSession, setAsyncSupported, setAttribute, setAttributes, setAuthentication, setCharacterEncoding, setCharacterEncodingUnchecked, setConnection, setContentType, setContext, setContextPath, setCookies, setDispatcherType, setDispatchTime, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestURI, setScheme, setServerName, setServerPort, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserIdentityScope, startAsync, startAsync, takeNewContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _remoteAddr

          protected String _remoteAddr

    - #### _remoteHost

          protected String _remoteHost

    - #### _remoteUser

          protected String _remoteUser

    - #### _sslSecure

          protected boolean _sslSecure

  - ### Constructor Detail

    - #### Ajp13Request

          public Ajp13Request(AbstractHttpConnection connection)

    - #### Ajp13Request

          public Ajp13Request()

  - ### Method Detail

    - #### setRemoteUser

          public void setRemoteUser(String remoteUser)

    - #### getRemoteUser

          public String getRemoteUser()

      Specified by:
        `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getRemoteUser` in class `Request`

    - #### getRemoteAddr

          public String getRemoteAddr()

      Specified by:
        `getRemoteAddr` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getRemoteAddr` in class `Request`

    - #### setRemoteAddr

          public void setRemoteAddr(String remoteAddr)

      Overrides:
        `setRemoteAddr` in class `Request`
      Parameters:
        `remoteAddr` - The address to set.

    - #### getRemoteHost

          public String getRemoteHost()

      Specified by:
        `getRemoteHost` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getRemoteHost` in class `Request`

    - #### setRemoteHost

          public void setRemoteHost(String remoteHost)

      Overrides:
        `setRemoteHost` in class `Request`
      Parameters:
        `remoteHost` - The host to set.

    - #### isSslSecure

          public boolean isSslSecure()

    - #### setSslSecure

          public void setSslSecure(boolean sslSecure)

    - #### recycle

          protected void recycle()

      Overrides:
        `recycle` in class `Request`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.